# env
# Written in 2019 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
.POSIX:
.SUFFIXES:

PREFIX=	$(HOME)

FILES=	Xdefaults gitconfig mg nexrc profile shrc tmux.conf xinitrc

all: install

clean: ;

diff:
	-for f in $(FILES); do diff -u "$$f" $(PREFIX)/."$$f"; done

install:
	for f in $(FILES); do cp -fv "$$f" $(PREFIX)/."$$f"; done
	ln -fs $(PREFIX)/.xinitrc $(PREFIX)/.xsession

uninstall:
	for f in $(FILES); do rm -f $(PREFIX)/."$$f"; done
	rm -f $(PREFIX)/.xsession
